[A107]Most Citing Companies

get
https://connect.patsnap.com/insights-company/most-cited
Try in Sandbox

Understand the top organisations that are citing this company's top 10 most cited patents. This is helpful to identify the organizations that are operating closest to the company and how they have utilised the technology. A deeper dive in to the patent records can reveal how the technology has potentially been built upon and how it has evolved or been used for alternative applications. From an alternative perspective, these organizations may represent potential licensees or pose a potential litigation threat.

Please fill in the complete company_name to obtain the company analysis report.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apply_end_time
string2020
Patent apply date to, format:yyyy
apply_start_time
string2010
Patent apply date from, format:yyyy
authority
stringCN OR EP
Select the authority of the patent, the default query all databases, eg CN、US、EP、JP. To find more information, refer to https://analytics.zhihuiya.com/status.

Example: US OR EP

company_name
string华为技术有限公司
Query the name of a single enterprise
lang
Required
stringen
Select the language , the default language is en, you can choose cn or en.
patent_type
stringA OR B
Patent application type

A:Applications

B: Patents

U: Utility models

D: Designs

Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR)

public_end_time
string2020
Patent publication date to, format:yyyy
public_start_time
string2010
Patent publication date from, format:yyyy
simple_legal_status
string1 OR 2
Patent simple legal status

0-Inactive

1-Active

2-Pending

220-PCT designated stage expired

n

221-PCT designated stage

999-Undetermined

Multiple options can be selected, and multiple content items can be spliced with OR (there is a space between parameter and OR)

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
assignee
string哈尔滨工业大学
Assignee
cited_count
integer<int32>322
Cited by count
patent_count
integer<int32>3993
Patents
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "assignee": "哈尔滨工业大学",
      "cited_count": 322,
      "patent_count": 3993
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found